petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCPARMSSetLocal

Sets the local preconditioner to be used in PARMS.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCPARMSSetLocal(PC pc,PCPARMSLocalType type)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| type | - the local preconditioner type, one of

         PC_PARMS_LOCAL_ILU0   - ILU0 preconditioner
         PC_PARMS_LOCAL_ILUK   - ILU(k) preconditioner
         PC_PARMS_LOCAL_ILUT   - ILUT preconditioner
         PC_PARMS_LOCAL_ARMS   - ARMS preconditioner

### Options Database Keys

-pc_parms_local [ilu0,iluk,ilut,arms] - Sets local preconditioner

### Notes

For the ARMS preconditioner, one can use either the symmetric ARMS or the non-symmetric variant (ARMS-ddPQ) by setting the permutation type with PCPARMSSetNonsymPerm().

See the pARMS function parms_PCILUSetType for more information.

### See Also

PCPARMS, PCPARMSSetGlobal(), PCPARMSSetNonsymPerm()

### Level

intermediate

### Location

src/ksp/pc/impls/parms/parms.c

### Implementations

PCPARMSSetLocal_PARMS in src/ksp/pc/impls/parms/parms.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages